Debian Bug report logs - #175590
python2.2: Missing important curses calls

Package: python2.4; Maintainer for python2.4 is (unknown);

Reported by: John Goerzen <jgoerzen@excelhustler.com>

Date: Mon, 6 Jan 2003 21:18:01 UTC

Severity: important

Tags: fixed-upstream, upstream

Forwarded to http://bugs.python.org/issue665572

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>, python2.2@packages.qa.debian.org:
Bug#175590; Package python2.2. Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@excelhustler.com>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>, python2.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@excelhustler.com>
To: submit@bugs.debian.org
Subject: python2.2: Missing important curses calls
Date: Mon, 6 Jan 2003 15:03:48 -0600 (CST)
Package: python2.2
Version: 2.2.2-4
Severity: important

The curses library is missing two important calls:

newterm() -- required to work with multiple terminals, or to find out if it
is possible to work with this terminal

delscreen() -- required to free up the memory after endwin() -- current
implementations have memory leaks for programs that need to start and stop
(those that handle terminal resizes, for instance)

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux wile 2.4.19 #1 Wed Nov 27 09:54:55 CST 2002 i686 unknown unknown GNU/Linux

Versions of the packages python2.2 depends on:
ii  libc6          2.3.1-9        GNU C Library: Shared libraries and Timezone
ii  libdb4.0       4.0.14-1       Berkeley v4.0 Database Libraries [runtime]
ii  libncurses5    5.3.20021109-2 Shared libraries for terminal handling
ii  libreadline4   4.3-4          GNU readline and history libraries, run-time
ii  libssl0.9.6    0.9.6g-10      SSL shared libraries
ii  libstdc++2.10- 2.95.4-15      The GNU stdc++ library
ii  python         2.2.2-4        An interactive object-oriented scripting lan
ii  zlib1g         1.1.4-8        compression library - runtime



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>, python2.2@packages.qa.debian.org:
Bug#175590; Package python2.2. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>, python2.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 175590@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: John Goerzen <jgoerzen@excelhustler.com>, 175590@bugs.debian.org
Subject: Re: Bug#175590: python2.2: Missing important curses calls
Date: Mon, 6 Jan 2003 22:44:22 +0100
John, please could you submit upstream reports directly on
python.sf.net and send me a CC? upstream asked that bug submitters
send the reports directly, because that eases communication a lot.

I'm willing to backport patches that are applied in the HEAD branch.

Thanks, Matthias

John Goerzen writes:
> Package: python2.2
> Version: 2.2.2-4
> Severity: important
> 
> The curses library is missing two important calls:
> 
> newterm() -- required to work with multiple terminals, or to find out if it
> is possible to work with this terminal
> 
> delscreen() -- required to free up the memory after endwin() -- current
> implementations have memory leaks for programs that need to start and stop
> (those that handle terminal resizes, for instance)
> 
> -- System Information
> Debian Release: testing/unstable
> Kernel Version: Linux wile 2.4.19 #1 Wed Nov 27 09:54:55 CST 2002 i686 unknown unknown GNU/Linux
> 
> Versions of the packages python2.2 depends on:
> ii  libc6          2.3.1-9        GNU C Library: Shared libraries and Timezone
> ii  libdb4.0       4.0.14-1       Berkeley v4.0 Database Libraries [runtime]
> ii  libncurses5    5.3.20021109-2 Shared libraries for terminal handling
> ii  libreadline4   4.3-4          GNU readline and history libraries, run-time
> ii  libssl0.9.6    0.9.6g-10      SSL shared libraries
> ii  libstdc++2.10- 2.95.4-15      The GNU stdc++ library
> ii  python         2.2.2-4        An interactive object-oriented scripting lan
> ii  zlib1g         1.1.4-8        compression library - runtime



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>, python2.2@packages.qa.debian.org:
Bug#175590; Package python2.2. Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@excelhustler.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>, python2.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 175590@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@excelhustler.com>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: 175590@bugs.debian.org
Subject: Re: Bug#175590: python2.2: Missing important curses calls
Date: Tue, 07 Jan 2003 08:50:02 -0600
Matthias Klose <doko@cs.tu-berlin.de> writes:

> John, please could you submit upstream reports directly on
> python.sf.net and send me a CC? upstream asked that bug submitters
> send the reports directly, because that eases communication a lot.

Unfortunately, it's not so easy from this end, and if I had to do
that, I'd probably just not report them at all.  I often am working on
a computer without Web access (e-mails get queued up for sending when
I'm connected later), and I don't always have all my passwords (such
as for sourceforge) with me.  And, commenting on those bugs is just as
annoying (having to go back to the sf website).  At least this way
they get recorded *somewhere*.

Maybe we need a sf module for reportbug

-- John



Noted your statement that Bug has been forwarded to http://python.org/sf/665572. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#175590; Package python2.2. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #22 received at 175590@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: John Goerzen <jgoerzen@excelhustler.com>, 175590@bugs.debian.org
Subject: python curses module patch wanted
Date: Thu, 14 Aug 2003 07:58:49 +0200
[Message part 1 (text/plain, inline)]
see http://python.org/sf/665572

[Message part 2 (message/rfc822, inline)]
From: "SourceForge.net" <noreply@sourceforge.net>
To: noreply@sourceforge.net
Subject: [ python-Bugs-665572 ] missing important curses calls
Date: Wed, 13 Aug 2003 16:30:03 -0700
Bugs item #665572, was opened at 2003-01-10 04:36
Message generated for change (Comment added) made by akuchling
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=105470&aid=665572&group_id=5470

Category: Python Library
>Group: Python 2.4
Status: Open
Resolution: None
Priority: 5
Submitted By: Matthias Klose (doko)
>Assigned to: A.M. Kuchling (akuchling)
Summary: missing important curses calls

Initial Comment:
[ submitted to http://bugs.debian.org/175590 ]

The curses library is missing two important calls:

newterm() -- required to work with multiple terminals,
or to find out if it is possible to work with this terminal

delscreen() -- required to free up the memory after
endwin() -- current implementations have memory leaks
for programs that need to start and stop (those that
handle terminal resizes, for instance)


----------------------------------------------------------------------

>Comment By: A.M. Kuchling (akuchling)
Date: 2003-08-13 19:30

Message:
Logged In: YES 
user_id=11375

Would anyone care to submit a patch to add the missing calls?


----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=105470&aid=665572&group_id=5470

Tags added: upstream Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `python2.2' to `python2.3'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `python2.3' to `python2.4'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from http://python.org/sf/665572 to http://bugs.python.org/issue665572. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Thu, 18 Jun 2009 15:00:03 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 23 Jun 2009 16:30:57 GMT) Full text and rfc822 format available.

Bug reassigned from package 'python2.4' to 'python'. Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:11:11 GMT) Full text and rfc822 format available.

Bug reassigned from package 'python' to 'python2.7'. Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:33:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'python2.7' to 'python2.4'. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 14 Apr 2012 08:30:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:09:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.